﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}

/* red asterisk for required fields*/
.required:after {
    content: "*";
    font-weight: bold;
    color: red;
}

/* Add/Edit Project navigation boxes*/
/* Navigation Wizard Look */
.nav-pills.nav-wizard > ul {
    margin-bottom: 5px;
}

.nav-pills.nav-wizard > li {
    position: relative;
    overflow: visible;
    /*border-right: 41px solid #fff;*/
    /*border-left: 5px solid #fff;*/
}

    .nav-pills.nav-wizard > li:first-child {
        border-left: 0;
    }

        .nav-pills.nav-wizard > li:first-child a {
            border-radius: 5px 0 0 5px;
        }

    .nav-pills.nav-wizard > li:last-child {
        border-right: 0;
    }

        .nav-pills.nav-wizard > li:last-child a {
            border-radius: 0 5px 5px 0;
        }

    .nav-pills.nav-wizard > li a {
        border-radius: 0;
        background-color: #DADADA;
        font-size: 13px;
        color: Black;
    }

    .nav-pills.nav-wizard > li .nav-arrow {
        position: absolute;
        top: 0px;
        right: -20px;
        width: 0px;
        height: 0px;
        border-style: solid;
        border-width: 20px 2px 20px 18px;
        border-color: transparent transparent transparent #DADADA;
        z-index: 150;
        margin-top: 2px;
    }

    .nav-pills.nav-wizard > li .nav-wedge {
        position: absolute;
        top: 0px;
        left: -20px;
        width: 0px;
        height: 0px;
        border-style: solid;
        border-width: 20px 2px 20px 18px;
        border-color: #DADADA #DADADA #DADADA transparent;
        z-index: 150;
        margin-top: 2px;
    }

    .nav-pills.nav-wizard > li:hover .nav-arrow {
        border-color: transparent transparent transparent #aaa;
    }

    .nav-pills.nav-wizard > li:hover .nav-wedge {
        border-color: #aaa #aaa #aaa transparent;
    }

    .nav-pills.nav-wizard > li:hover a {
        background-color: #aaa;
        color: #fff;
    }

    .nav-pills.nav-wizard > li.active .nav-arrow {
        border-color: transparent transparent transparent #428bca;
    }

    .nav-pills.nav-wizard > li.active .nav-wedge {
        border-color: #428bca #428bca #428bca transparent;
    }

    .nav-pills.nav-wizard > li.active a {
        background-color: #428bca;
        color: White;
    }

.nav > li > a {
    padding: 10px 10px;
}
/*
.nav-pills.nav-wizard > li .arrow {
    position: absolute;
    top: 0px;
    right: -41px;
    background: url('../images/right.png') no-repeat;
    margin-top: 2px;
    width: 43px;
    height: 40px;
}
    */

.responsive {
    width: 100%;
    height: auto;
}

.bootstrap-select .btn { /* set this for the bootstrap select box, otherwise the background color is gray */
    color: black !important;
    background-color: white !important;
    border-style: solid !important;
    border-width: medium !important;
}

    .bootstrap-select .btn:focus, .btn:active { /* set the border color when the bootstrap select gets the focus */
        border-color: powderblue !important;
    }

.bootstrap-select .dropdown-item {
    font-size: 12px !important; /* need this, otherwise the font size in the bootstrap select dropdowns is too large for the long organization names */
}